Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ConfigVariableInt64 Class Reference

This is a convenience class to specialize ConfigVariable as a 64-bit integer type. More...

Inheritance diagram for ConfigVariableInt64:

List of all members.

## Public Member Functions
| ConfigVariableInt64 (string name)
| ConfigVariableInt64 (string name, string default_value, string description, long long int flags)
| ConfigVariableInt64 (string name, string default_value)
| ConfigVariableInt64 (string name, long long int default_value, string description, long long int flags)
| ConfigVariableInt64 (string name, string default_value, string description)
| ConfigVariableInt64 (string name, long long int default_value, string description)
| ConfigVariableInt64 (string name, long long int default_value)
long long int | getDefaultValue ()
| Returns the variable's default value.
long long int | getValue ()
| Returns the variable's value.
long long int | getWord (int n)
| Returns the variable's nth value.
ConfigVariableInt64 | operator= (long long int value)
| Reassigns the variable's local value.
long long int | operator[] (int n)
| Returns the value of the variable's nth word.
| setValue (long long int value)
| Reassigns the variable's local value.
| setWord (int n, long long int value)
| Reassigns the variable's nth value.
long long int | size ()
| Returns the number of unique words in the variable.

## Detailed Description

This is a convenience class to specialize ConfigVariable as a 64-bit integer type.

## Constructor & Destructor Documentation

ConfigVariableInt64 | ( | string | name | ) |

ConfigVariableInt64 | ( | string | name,
|  | string | default_value,
|  | string | description,
|  | long long int | flags
| ) |  |

ConfigVariableInt64 | ( | string | name,
|  | string | default_value,
|  | string | description
| ) |  |

ConfigVariableInt64 | ( | string | name,
|  | string | default_value
| ) |  |

ConfigVariableInt64 | ( | string | name,
|  | long long int | default_value,
|  | string | description,
|  | long long int | flags
| ) |  |

ConfigVariableInt64 | ( | string | name,
|  | long long int | default_value,
|  | string | description
| ) |  |

ConfigVariableInt64 | ( | string | name,
|  | long long int | default_value
| ) |  |

## Member Function Documentation

long long int getDefaultValue | ( |  | ) |

Returns the variable's default value.

Reimplemented from ConfigVariable.

long long int getValue | ( |  | ) |

Returns the variable's value.

long long int getWord | ( | int | n | ) |

Returns the variable's nth value.

ConfigVariableInt64 operator= | ( | long long int | value | ) |

Reassigns the variable's local value.

long long int operator[] | ( | int | n | ) |

Returns the value of the variable's nth word.

setValue | ( | long long int | value | ) |

Reassigns the variable's local value.

setWord | ( | int | n,
|  | long long int | value
| ) |  |

Reassigns the variable's nth value.

This makes a local copy of the variable's overall value.

long long int size | ( |  | ) |

Returns the number of unique words in the variable.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties